<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>Main.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Calculator</a> &gt; <a href="index.source.html" class="el_package">main</a> &gt; <span class="el_source">Main.java</span></div><h1>Main.java</h1><pre class="source lang-java linenums">package main;

import service.EquationCalculator;
import java.util.Scanner;


/**
 *  the main class which runs our project
 */
<span class="nc" id="L10">public class Main {</span>
    /**
     * @param args nothing, we are going to read using a scanner
     * options: exit - will exit the program ;
     *          equation - will calculate the result (e.g. 1 + 2 * 3 - 4 /5 + max(0.8, 0) + min(2, 4) - sqrt(4))
     */
    public static void main(String[] args) {
        while(true) {
<span class="nc" id="L18">            Scanner scanner = new Scanner(System.in);</span>
<span class="nc" id="L19">            System.out.print(&quot; Insert your equation: &quot;);</span>
<span class="nc" id="L20">            String equation = scanner.nextLine();</span>
<span class="nc bnc" id="L21" title="All 2 branches missed.">            if (equation.equals(&quot;exit&quot;))</span>
<span class="nc" id="L22">                break;</span>

<span class="nc" id="L24">            EquationCalculator equationCalculator = EquationCalculator.getInstance();</span>

            try {
<span class="nc" id="L27">                System.out.println(&quot; !!!RESULT!!! &quot; + equationCalculator.calculate(equation) + '\n');</span>
<span class="nc" id="L28">            } catch (Exception ex) {</span>
<span class="nc" id="L29">                System.out.println(&quot; !!!ERROR!!! &quot; + ex.getMessage());</span>
<span class="nc" id="L30">            }</span>
<span class="nc" id="L31">        }</span>
<span class="nc" id="L32">    }</span>
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.8.202204050719</span></div></body></html>